summaryrefslogtreecommitdiffhomepage
path: root/images/basic/integrationtest/ping6.sh
diff options
context:
space:
mode:
authorAyush Ranjan <ayushranjan@google.com>2021-02-01 12:28:31 -0800
committergVisor bot <gvisor-bot@google.com>2021-02-01 12:30:45 -0800
commit0da3c72c9d24c322af8203511142462fab3b1bd9 (patch)
tree437f1eafc868dcf3e9043e9c0572c2ab9152d2c6 /images/basic/integrationtest/ping6.sh
parentebd3912c0f7e4255f100a00d2ab27304dac70daa (diff)
[infra] Consolidate all ubuntu tests into one image.
This makes it easier to add more tests that run on Ubuntu. We can now just add a bash script and call that from integration_test without having to set up another image. PiperOrigin-RevId: 355000410
Diffstat (limited to 'images/basic/integrationtest/ping6.sh')
-rw-r--r--images/basic/integrationtest/ping6.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/images/basic/integrationtest/ping6.sh b/images/basic/integrationtest/ping6.sh
new file mode 100644
index 000000000..4268951d0
--- /dev/null
+++ b/images/basic/integrationtest/ping6.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+
+# Copyright 2020 The gVisor Authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -euo pipefail
+
+# Enable ipv6 on loopback if it's not already enabled. Runsc doesn't enable ipv6
+# loopback unless an ipv6 address was assigned to the container, which docker
+# does not do by default.
+if ! [[ $(ip -6 addr show dev lo) ]]; then
+ ip addr add ::1 dev lo
+fi
+
+# The docker API doesn't provide for starting a container, running a command,
+# and getting the exit status of the command in one go. The most straightforward
+# way to do this is to verify the output of the command, so we output nothing on
+# success and an error message on failure.
+if ! out=$(/bin/ping6 -c 10 ::1); then
+ echo "$out"
+fi